/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Consultores;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface FacadeConsultoresLocal {

    Consultores buscaConsultor(String consultorCodigo);

    Consultores BusquedaPorDui(String consultorNumeroDocumento);

    Consultores BusquedaPorNit(String consultorNit);

    List<Consultores> BusquedasPorNombre(String consultorNombre1, String consultorNombre2, String consultorApellido1, String consultorApellido2);

    List<Consultores> Busqueda1Nombre(String nombre1);

}
